<?php
	/* WebWall */
	define("ONLINE", 1);
	$root = dirname( dirname( dirname(__FILE__) ) );
	require_once "$root/core.php";
	$search["query"] = text_filter($_POST["query"],1);

	if($_SERVER['REQUEST_METHOD'] == "POST")
	{ 
		$template_session->setparameter("serializeSearchQuery", $engine_session->serializesearch($search["query"]), true); 
	}
	else
	{ 
		$template_session->setparameter("serializeSearchQuery", '<center>'.$template_session->getlangval(113).'</center>', true); 
	}
	
	$template_session->loadhead($template_session->getlangval(111));
	
	if(SESSION_STATUS == true)
	{
		$template_session->loadlogo(); 
	}
	else
	{
		$template_session->loadlogo(1); 
	}
	$template_session->loadmenu(); 
	$template_session->loadtpl("search");
	$template_session->loadtpl("footer");
	$template_session->loadend();
?>